Skip to main content
GET
/
webhooks
/
{webhook_id}
Retrieve webhook
curl --request GET \
  --url https://api.engine.usesophic.com/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "url": "<string>",
  "is_active": true,
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

The ID of the webhook to retrieve.

Response

OK

Webhook subscription resource (secret is not exposed).

id
string
required

Unique resource identifier.

url
string
required

The URL of the webhook.

is_active
boolean
required

Whether the webhook is active.

description
string | null
required

Optional description of what the webhook is used for.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.